org.apache.flume.api

## Interface LoadBalancingRpcClient.HostSelector

- Enclosing class:
    LoadBalancingRpcClient

      public static interface LoadBalancingRpcClient.HostSelector

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Iterator<HostInfo>` | `createHostIterator()`
    `void` | `informFailure(HostInfo failedHost)`
    `void` | `setHosts(List<HostInfo> hosts)`

- - ### Method Detail

    - #### setHosts

          void setHosts(List<HostInfo> hosts)

    - #### createHostIterator

          Iterator<HostInfo> createHostIterator()

    - #### informFailure

          void informFailure(HostInfo failedHost)

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.